org.apache.lucene.search

## Class CollectionTerminatedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.lucene.search.CollectionTerminatedException

- All Implemented Interfaces:
    Serializable

      public final class CollectionTerminatedException
      extends RuntimeException

  Throw this exception in `LeafCollector.collect(int)` to prematurely terminate collection of the current leaf.

  Note: IndexSearcher swallows this exception and never re-throws it. As a consequence, you should not catch it when calling `IndexSearcher.search(org.apache.lucene.search.Query, int)` as it is unnecessary and might hide misuse of this exception.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CollectionTerminatedException()` Sole constructor.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CollectionTerminatedException

          public CollectionTerminatedException()

      Sole constructor.

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.